=== debian/control ===
Source: audmes
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libfccp-dev, wx3.0-headers, libwxgtk3.0-gtk3-dev, libasound2-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
Homepage: https://sourceforge.net/projects/audmes/

Package: audmes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AUDio MEasurement System
 Multi-platfrom system for audio measurement through sound card in the
 PC. Incorporates Generator, Oscilloscope, FFT, Sweep frequency
 characteristic. Useful for measuring stereo and speaker performance.
