## audmes 2021.11.04

=== debian/changelog ===
audmes (2021.11.04-2) unstable; urgency=medium

  * Source only upload.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 Dec 2021 06:21:21 +0100

audmes (2021.11.04-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2021.11.04
  * Remove patch, applied by upstream
  * Add a small manpage
  * Add keywords to the desktop file
  * debian/copyright:
    + audiolib directory renamed to rtaudio
    + Add myself to the debian/* section
  * Add salsa CI configuration

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Dec 2021 23:41:11 +0100

audmes (2021.03.14-1) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Bump debhelper version to 13.
  * d/control: add cmake to build-depends.
  * d/control: Drop myself from Uploaders.
  * d/watch: added.

  [ Dennis Braun ]
  * New upstream version 2021.03.14
  * Add myself as uploader
  * Wrap-and-sort B-Ds and Depends
  * Add libpulse-dev to B-Ds
  * Bump Standards-Version to 4.6.0
  * Clean d/rules
  * Fix spelling error

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Documented in d/control the build do not need root access.
  * Introduced patch naming scheme and updated spell error patch.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 10 Oct 2021 08:06:29 +0200
