=== debian/control ===
Source: audmes
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev,
               libfccp-dev,
	       libpulse-dev,
               libwxgtk3.0-gtk3-dev,
               wx3.0-headers
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
Homepage: https://sourceforge.net/projects/audmes/
Rules-Requires-Root: no

Package: audmes
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: AUDio MEasurement System
 Multi-platfrom system for audio measurement through sound card in the
 PC. Incorporates Generator, Oscilloscope, FFT, Sweep frequency
 characteristic. Useful for measuring stereo and speaker performance.
