## audmes 2022.04.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,15 +18,14 @@
 
 # Default build type is Release
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
-   set(CMAKE_BUILD_TYPE "Release")
+	set(CMAKE_BUILD_TYPE "Release")
 endif()
+message("Build type is ${CMAKE_BUILD_TYPE}")
 
 if (WIN32)
 	set(AM_SOURCES ${AM_SOURCES} audmes.rc)
-	string(REPLACE "\\" "/" HDIR $ENV{HOMEDRIVE}$ENV{HOMEPATH})
+	string(REPLACE "\\" "/" HDIR "$ENV{HOMEDRIVE}$ENV{HOMEPATH}")
 	set(wxWidgets_ROOT_DIR "${HDIR}/projects/wx3.0.5")
-	set(wxWidgets_LIB_DIR "${wxWidgets_ROOT_DIR}/lib/gcc810_dll")
-	set(wxWidgets_CONFIGURATION mswu)
 endif()
 
 if (${APPLE})
@@ -34,7 +33,7 @@
 	set(AM_SOURCES ${audmes_icon} ${AM_SOURCES})
 endif()
 
-find_package(wxWidgets COMPONENTS core base REQUIRED)
+find_package(wxWidgets REQUIRED core base)
 include("${wxWidgets_USE_FILE}")
 
 add_executable(${PROJECT_NAME} MACOSX_BUNDLE ${AM_SOURCES})
@@ -60,8 +59,13 @@
 endif()
 
 if (MINGW)
-	add_definitions(-D__WINDOWS_WASAPI__ -D__WXMSW__)
-	target_link_libraries(${PROJECT_NAME} -mwindows -static ${wxWidgets_LIBRARIES} ksuser mfplat mfuuid wmcodecdspuuid)
+	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__ -D__WXMSW__)
+	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid)
+	add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
+	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30u_gcc810.dll" "."
+	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30ud_gcc810.dll" "."
+	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30u_core_gcc810.dll" "."
+	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
 endif()
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
@@ -73,7 +77,7 @@
 	install(FILES "audmes.png" DESTINATION "share/icons/hicolor/128x128/apps/")
 
 	set(CPACK_GENERATOR "DEB")
-	set(CPACK_DEBIAN_PACKAGE_VERSION "2021-11-04")
+	set(CPACK_DEBIAN_PACKAGE_VERSION "2022-04-20")
 	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "swwa")
 	set(CPACK_DEBIAN_PACKAGE_SECTION "sound")
 	set(CPACK_DEBIAN_PACKAGE_DEPENDS "pulseaudio, libwxgtk3.0-0v5")
@@ -81,15 +85,20 @@
 endif()
 
 if (MINGW)
-    set(CMAKE_INSTALL_PREFIX ".")
-	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
-	install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION "bin")
-	install(FILES "${CMAKE_SOURCE_DIR}/NEWS" RENAME "NEWS.txt" DESTINATION "bin")
-	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libwinpthread-1.dll" DESTINATION "bin")
-	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libstdc++-6.dll" DESTINATION "bin")
-	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libgcc_s_sjlj-1.dll" DESTINATION "bin")
-	install(FILES "${wxWidgets_ROOT_DIR}/lib/gcc810_dll/wxbase30u_gcc810.dll" DESTINATION "bin")
-	install(FILES "${wxWidgets_ROOT_DIR}/lib/gcc810_dll/wxmsw30u_core_gcc810.dll" DESTINATION "bin")
+	if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+		message(WARNING "Installation only in **Release** builds supported")
+	endif()
+	set(CMAKE_INSTALL_PREFIX .)
+	install(TARGETS ${PROJECT_NAME} DESTINATION .)
+	install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION .)
+	install(FILES "${CMAKE_SOURCE_DIR}/NEWS" RENAME "NEWS.txt" DESTINATION .)
+	# add runtime libraries - static linking does not work with wxWidgets binaries
+	set(MINGW_LIBS "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin")
+	install(FILES "${MINGW_LIBS}/libwinpthread-1.dll" DESTINATION .)
+	install(FILES "${MINGW_LIBS}/libstdc++-6.dll" DESTINATION .)
+	install(FILES "${MINGW_LIBS}/libgcc_s_sjlj-1.dll" DESTINATION .)
+	install(FILES "${wxWidgets_LIB_DIR}/wxbase30u_gcc810.dll" DESTINATION .)
+	install(FILES "${wxWidgets_LIB_DIR}/wxmsw30u_core_gcc810.dll" DESTINATION .)
 	set(CPACK_GENERATOR "ZIP")
 endif()
 
@@ -97,8 +106,8 @@
 	set(APP_NAME ${PROJECT_NAME})
 	# Install app and libraries
 	install(TARGETS ${APP_NAME}
-	    BUNDLE DESTINATION . COMPONENT Runtime
-	    RUNTIME DESTINATION bin COMPONENT Runtime
+		BUNDLE DESTINATION . COMPONENT Runtime
+		RUNTIME DESTINATION bin COMPONENT Runtime
 	)
 	set(APPS "\${CMAKE_INSTALL_PREFIX}/${APP_NAME}.app")
 	set(CMAKE_MACOSX_RPATH ON)
