=== debian/changelog ===
audmes (2022.04.20-2) unstable; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * Add d/upstream/metadata

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Switch to wx3.2

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Sep 2022 21:11:28 +0200

audmes (2022.04.20-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Reintroduce patch naming scheme README.

  [ Dennis Braun ]
  * New upstream version 2022.04.20

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 May 2022 16:45:16 +0200
