=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
                debhelper-compat (= 13),
                libasound2-dev,
                libfccp-dev,
-	       libpulse-dev,
-               libwxgtk3.0-gtk3-dev,
-               wx3.0-headers
-Standards-Version: 4.6.0
+               libpulse-dev,
+               libwxgtk3.2-dev,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
 Homepage: https://sourceforge.net/projects/audmes/
