## audmes 2022.10.09

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,11 +7,17 @@
 
 set(AM_SOURCES
 	AudMeS.cpp
+	AudMeS.h
 	CtrlOScope.cpp
+	CtrlOScope.h
 	dlg_audiointerface.cpp
+	dlg_audiointerface.h
 	fourier.c
+	fourier.h
 	RWAudio_IO.cpp
+	RWAudio_IO.h
 	rtaudio/RtAudio.cpp
+	rtaudio/RtAudio.h
 )
 
 include_directories(.) # for local libfccp
@@ -35,8 +41,9 @@
 
 find_package(wxWidgets REQUIRED core base)
 include("${wxWidgets_USE_FILE}")
+message("wxWidgets lib settings: ${wxWidgets_LIBRARIES}")
 
-add_executable(${PROJECT_NAME} MACOSX_BUNDLE ${AM_SOURCES})
+add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${AM_SOURCES})
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
 	add_definitions(-D__LINUX_ALSA__ -D__LINUX_PULSE__ -D__LINUX__ -DHAVE_GETTIMEOFDAY)
@@ -58,6 +65,22 @@
 	)
 endif()
 
+if (MSVC)
+	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__)
+	set(wxWidgets_EXCLUDE_COMMON_LIBRARIES TRUE)
+	target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid winmm ole32)
+	if (EXISTS "${CMAKE_BINARY_DIR}/Release")
+		add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
+		COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30u_vc142_x64.dll" "Release"
+		COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30u_core_vc142_x64.dll" "Release")
+	endif()
+	if (EXISTS "${CMAKE_BINARY_DIR}/Debug")
+		add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
+		COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30ud_vc142_x64.dll" "Debug"
+		COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_vc142_x64.dll" "Debug")
+	endif()
+endif()
+
 if (MINGW)
 	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__ -D__WXMSW__)
 	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid)
@@ -68,6 +91,10 @@
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
 endif()
 
+set(CPACK_PACKAGE_VERSION_MAJOR "2022")
+set(CPACK_PACKAGE_VERSION_MINOR "10")
+set(CPACK_PACKAGE_VERSION_PATCH "09")
+
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
 	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
 	install(FILES "audmes.desktop" DESTINATION "share/applications")
@@ -77,7 +104,6 @@
 	install(FILES "audmes.png" DESTINATION "share/icons/hicolor/128x128/apps/")
 
 	set(CPACK_GENERATOR "DEB")
-	set(CPACK_DEBIAN_PACKAGE_VERSION "2022-04-20")
 	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "swwa")
 	set(CPACK_DEBIAN_PACKAGE_SECTION "sound")
 	set(CPACK_DEBIAN_PACKAGE_DEPENDS "pulseaudio, libwxgtk3.0-0v5")
