=== debian/changelog ===
audmes (2022.10.09-1) unstable; urgency=medium

  * New upstream version 2022.10.09
  * Mark libasound2-dev as linux-any

 -- Dennis Braun <snd@debian.org>  Mon, 28 Nov 2022 21:46:21 +0100
