=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Dennis Braun <d_braun@kabelmail.de>
+Uploaders: Dennis Braun <snd@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libasound2-dev,
+               libasound2-dev [linux-any],
                libfccp-dev,
                libpulse-dev,
                libwxgtk3.2-dev,
