## audmes 2023.04.09

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,15 @@
 include("${wxWidgets_USE_FILE}")
 message("wxWidgets lib settings: ${wxWidgets_LIBRARIES}")
 
+find_path(FCCP
+	libfccp/csv.h
+	HINTS .
+	)
+if (NOT FCCP)
+	message(FATAL_ERROR "Could not find libfccp, please see README.md.")
+endif()
+message("libfccp found ${FCCP}")
+
 add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${AM_SOURCES})
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
@@ -82,8 +91,8 @@
 endif()
 
 if (MINGW)
-	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__ -D__WXMSW__)
-	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid)
+	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__)
+	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid winmm ole32)
 	add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30u_gcc810.dll" "."
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30ud_gcc810.dll" "."
@@ -91,8 +100,8 @@
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
 endif()
 
-set(CPACK_PACKAGE_VERSION_MAJOR "2022")
-set(CPACK_PACKAGE_VERSION_MINOR "10")
+set(CPACK_PACKAGE_VERSION_MAJOR "2023")
+set(CPACK_PACKAGE_VERSION_MINOR "04")
 set(CPACK_PACKAGE_VERSION_PATCH "09")
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
