=== debian/changelog ===
audmes (2023.04.09-1) unstable; urgency=medium

  * New upstream version 2023.04.09
  * Bump Standards-Version to 4.6.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Fri, 16 Jun 2023 22:35:55 +0200
