## audmes 2024.02.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,11 @@
 	RWAudio_IO.h
 	rtaudio/RtAudio.cpp
 	rtaudio/RtAudio.h
+	sma_2d.cpp
+	sma_2d.h
 )
+
+add_subdirectory (tests)
 
 include_directories(.) # for local libfccp
 
@@ -27,6 +31,10 @@
 	set(CMAKE_BUILD_TYPE "Release")
 endif()
 message("Build type is ${CMAKE_BUILD_TYPE}")
+
+if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+	add_definitions(-D_DEBUG)
+endif()
 
 if (WIN32)
 	set(AM_SOURCES ${AM_SOURCES} audmes.rc)
@@ -100,13 +108,14 @@
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
 endif()
 
-set(CPACK_PACKAGE_VERSION_MAJOR "2023")
-set(CPACK_PACKAGE_VERSION_MINOR "04")
-set(CPACK_PACKAGE_VERSION_PATCH "09")
+set(CPACK_PACKAGE_VERSION_MAJOR "2024")
+set(CPACK_PACKAGE_VERSION_MINOR "02")
+set(CPACK_PACKAGE_VERSION_PATCH "18")
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
 	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
 	install(FILES "audmes.desktop" DESTINATION "share/applications")
+	install(FILES "net.sourceforge.audmes.audmes.appdata.xml" DESTINATION "share/appdata")
 	install(FILES "README.md" DESTINATION "share/doc/audmes")
 	install(FILES "NEWS" DESTINATION "share/doc/audmes")
 	install(FILES "audmes.png" DESTINATION "share/pixmaps")
@@ -115,7 +124,7 @@
 	set(CPACK_GENERATOR "DEB")
 	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "swwa")
 	set(CPACK_DEBIAN_PACKAGE_SECTION "sound")
-	set(CPACK_DEBIAN_PACKAGE_DEPENDS "pulseaudio, libwxgtk3.0-0v5")
+	set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS YES)
 	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://sourceforge.net/projects/audmes/")
 endif()
