=== tests/CMakeLists.txt ===
add_executable (sma_2d_test sma_2d_test.cpp ../sma_2d.cpp)
