=== debian/changelog ===
audmes (2024.02.18-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:32:07 +1100

audmes (2024.02.18-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:29:50 +0000

audmes (2024.02.18-1) unstable; urgency=medium

  * New upstream version 2024.02.18

 -- Dennis Braun <snd@debian.org>  Fri, 23 Feb 2024 14:36:23 +0100

audmes (2023.10.24-2) unstable; urgency=medium

  * Install appdata file to correct directory
  * d/copyright: Add appdata file and CC0 license

 -- Dennis Braun <snd@debian.org>  Tue, 07 Nov 2023 21:24:52 +0100

audmes (2023.10.24-1) unstable; urgency=medium

  * New upstream version 2023.10.24

 -- Dennis Braun <snd@debian.org>  Wed, 01 Nov 2023 20:08:35 +0100
