=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: audmes
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <snd@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -9,7 +10,7 @@
                libfccp-dev,
                libpulse-dev,
                libwxgtk3.2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
 Homepage: https://sourceforge.net/projects/audmes/
