=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# Move appdata file to new location
	mkdir -p debian/audmes/usr/share/metainfo
	mv debian/audmes/usr/share/appdata/net.sourceforge.audmes.audmes.appdata.xml \
		debian/audmes/usr/share/metainfo/
	rm -fr debian/audmes/usr/share/appdata
