=== debian/changelog ===
audmes (2025.04.05-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Added myself as uplaoder.

  [ Dennis Braun ]
  * New upstream version 2025.04.05
  * Add librtaudio-dev to B-Ds
  * Fix the appdata file
  * Bump Standards-Version to 4.7.2
  * Building test currently fails on debian, so we disable it
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Mon, 14 Apr 2025 23:52:55 +0200
