=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: audmes
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Dennis Braun <snd@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Dennis Braun <snd@debian.org>, Petter Reinholdtsen <pere@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libasound2-dev [linux-any],
                libfccp-dev,
                libpulse-dev,
+	       librtaudio-dev,
                libwxgtk3.2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
 Homepage: https://sourceforge.net/projects/audmes/
